package jess;

/**
 * Things that can be grouped on the LHS of a rule; either patterns,
 * or groups of patterns.
 */

interface Groupable {
    String getName();
    void setBoundName(String name) throws JessException;
    void setUnique();
    void setExplicit(boolean exp);
    void addToLHS(HasLHS l) throws JessException;
    Groupable simplify() throws JessException;
    int getGroupSize();
    Groupable getGroupable(int i);        
}
