
package jess;

/** **********************************************************************
 * A test that always passes, but makes calls with calltype LEFT instead of RIGHT.
 * @author Ernest J. Friedman-Hill
 ********************************************************************** */

class Node1RTL extends Node1
{    
  boolean callNodeRight(Token t) throws JessException
  {
    super.callNodeRight(t);
    passAlong(t);
    return true;
  }

  void passAlong(Token t) throws JessException
  {    
    Node [] sa = m_succ;
    for (int j=0; j<m_nSucc; j++) 
      {
        Node s = sa[j];
        // System.out.println(this + " " +  t);
        s.callNodeLeft(t);
      }
  }

  public boolean equals(Object o)
  {
    return (o instanceof Node1RTL);
  }

  public String toString() { return "[Left input adapter]"; }

}

